== Why is this an issue?

The cyclomatic complexity of a paragraph should not exceed a defined threshold. Complex code can perform poorly and will in any case be difficult to understand and therefore to maintain.


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Parameters

.maximumParagraphComplexityThreshold
****

----
20
----

The maximum authorized complexity in a paragraph
****


'''
== Comments And Links
(visible only on this page)

=== relates to: S133

=== is related to: S1302

=== on 29 May 2015, 13:06:41 Ann Campbell wrote:
double-check me, [~pierre-yves.nicolas]

=== on 29 May 2015, 15:40:49 Pierre-Yves Nicolas wrote:
I changed the SQALE offset to make it consistent with RSPEC-1302.

endif::env-github,rspecator-view[]
